Index: trunk/gui/scripts/flowvisviewer.tcl
===================================================================
--- trunk/gui/scripts/flowvisviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/flowvisviewer.tcl	(revision 5184)
@@ -1833,7 +1833,7 @@
     set first [lindex $isovalues 0]
     set last [lindex $isovalues end]
-    set wmap ""
+    set amap ""
     if { $first == "" || $first != 0.0 } {
-        lappend wmap 0.0 0.0
+        lappend amap 0.0 0.0
     }
     foreach x $isovalues {
@@ -1863,13 +1863,13 @@
         }
         # add spikes in the middle
-        lappend wmap $x1 0.0
-        lappend wmap $x2 $max
-        lappend wmap $x3 $max
-        lappend wmap $x4 0.0
+        lappend amap $x1 0.0
+        lappend amap $x2 $max
+        lappend amap $x3 $max
+        lappend amap $x4 0.0
     }
     if { $last == "" || $last != 1.0 } {
-        lappend wmap 1.0 0.0
-    }
-    SendCmd "transfunc define $tf { $cmap } { $wmap }"
+        lappend amap 1.0 0.0
+    }
+    SendCmd "transfunc define $tf { $cmap } { $amap }"
     return [SendCmd "$dataobj-$comp configure -transferfunction $tf"]
 }
Index: trunk/gui/scripts/nanovisviewer.tcl
===================================================================
--- trunk/gui/scripts/nanovisviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/nanovisviewer.tcl	(revision 5184)
@@ -1424,7 +1424,7 @@
         # changes.
         set cmap [ColorsToColormap $styles(-color)]
-        set wmap [list 0.0 0.0 1.0 1.0]
-        set _cname2transferFunction($cname) [list $cmap $wmap]
-        SendCmd [list transfunc define $cname $cmap $wmap]
+        set amap [list 0.0 0.0 1.0 1.0]
+        set _cname2transferFunction($cname) [list $cmap $amap]
+        SendCmd [list transfunc define $cname $cmap $amap]
     }
     SendCmd "volume shading transfunc $cname $tag"
@@ -1450,5 +1450,5 @@
 #
 itcl::body Rappture::NanovisViewer::ComputeTransferFunction { cname } {
-    foreach {cmap wmap} $_cname2transferFunction($cname) break
+    foreach {cmap amap} $_cname2transferFunction($cname) break
 
     # We have to parse the style attributes for a volume using this
@@ -1479,7 +1479,7 @@
 
     }
-    set wmap [ComputeAlphamap $cname]
-    set _cname2transferFunction($cname) [list $cmap $wmap]
-    SendCmd [list transfunc define $cname $cmap $wmap]
+    set amap [ComputeAlphamap $cname]
+    set _cname2transferFunction($cname) [list $cmap $amap]
+    SendCmd [list transfunc define $cname $cmap $amap]
 }
 
@@ -2293,8 +2293,8 @@
         return
     }
-    foreach { cmap wmap } $_cname2transferFunction($cname) break
+    foreach { cmap amap } $_cname2transferFunction($cname) break
     set cmap [GetColormap $cname $color]
-    set _cname2transferFunction($cname) [list $cmap $wmap]
-    SendCmd [list transfunc define $cname $cmap $wmap]
+    set _cname2transferFunction($cname) [list $cmap $amap]
+    SendCmd [list transfunc define $cname $cmap $amap]
     EventuallyRedrawLegend
 }
@@ -2322,7 +2322,7 @@
     set first [lindex $isovalues 0]
     set last [lindex $isovalues end]
-    set wmap ""
+    set amap ""
     if { $first == "" || $first != 0.0 } {
-        lappend wmap 0.0 0.0
+        lappend amap 0.0 0.0
     }
     foreach x $isovalues {
@@ -2352,13 +2352,13 @@
         }
         # add spikes in the middle
-        lappend wmap $x1 0.0
-        lappend wmap $x2 $max
-        lappend wmap $x3 $max
-        lappend wmap $x4 0.0
+        lappend amap $x1 0.0
+        lappend amap $x2 $max
+        lappend amap $x3 $max
+        lappend amap $x4 0.0
     }
     if { $last == "" || $last != 1.0 } {
-        lappend wmap 1.0 0.0
-    }
-    return $wmap
+        lappend amap 1.0 0.0
+    }
+    return $amap
 }
 
@@ -2366,5 +2366,5 @@
     switch -- $name {
         "ramp-up" {
-            set wmap {
+            set amap {
                 0.0 0.0
                 1.0 1.0
@@ -2372,5 +2372,5 @@
         }
         "ramp-down" {
-            set wmap {
+            set amap {
                 0.0 1.0
                 1.0 0.0
@@ -2378,5 +2378,5 @@
         }
         "vee" {
-            set wmap {
+            set amap {
                 0.0 1.0
                 0.5 0.0
@@ -2385,5 +2385,5 @@
         }
         "tent-1" {
-            set wmap {
+            set amap {
                 0.0 0.0
                 0.5 1.0
@@ -2392,5 +2392,5 @@
         }
         "tent-2" {
-            set wmap {
+            set amap {
                 0.0 0.0
                 0.25 1.0
@@ -2401,5 +2401,5 @@
         }
         "tent-3" {
-            set wmap {
+            set amap {
                 0.0 0.0
                 0.16666 1.0
@@ -2412,5 +2412,5 @@
         }
         "tent-4" {
-            set wmap {
+            set amap {
                 0.0     0.0
                 0.125   1.0
@@ -2425,5 +2425,5 @@
         }
         "sinusoid-1" {
-            set wmap {
+            set amap {
                 0.0                     0.000 0.600 0.800
                 0.14285714285714285     0.400 0.900 1.000
@@ -2437,5 +2437,5 @@
         }
         "sinusoid-2" {
-            set wmap {
+            set amap {
                 0.0                     0.900 1.000 1.000
                 0.1111111111111111      0.800 0.983 1.000
@@ -2451,5 +2451,5 @@
         }
         "sinusoid-6" {
-            set wmap {
+            set amap {
                 0.0                             0.200   0.100   0.000
                 0.09090909090909091             0.400   0.187   0.000
@@ -2467,5 +2467,5 @@
         }
         "sinusoid-10" {
-            set wmap {
+            set amap {
                 0.0                             0.000   0.480   0.600
                 0.09090909090909091             0.000   0.667   0.800
@@ -2483,5 +2483,5 @@
         }
         "step-2" {
-            set wmap {
+            set amap {
                 0.0                             0.000   0.167   1.000
                 0.09090909090909091             0.100   0.400   1.000
@@ -2499,5 +2499,5 @@
         }
         "step-5" {
-            set wmap {
+            set amap {
                 0.0                             1.000   0.167   0.000
                 0.09090909090909091             1.000   0.400   0.100
@@ -2515,5 +2515,5 @@
         }
         "step-12" {
-            set wmap {
+            set amap {
                 "#EE82EE"
                 "#4B0082"
Index: trunk/gui/scripts/vtkglyphviewer.tcl
===================================================================
--- trunk/gui/scripts/vtkglyphviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtkglyphviewer.tcl	(revision 5184)
@@ -2570,6 +2570,6 @@
         set cmap "0.0 0.0 0.0 0.0 1.0 1.0 1.0 1.0"
     }
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 
Index: trunk/gui/scripts/vtkheightmapviewer.tcl
===================================================================
--- trunk/gui/scripts/vtkheightmapviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtkheightmapviewer.tcl	(revision 5184)
@@ -1807,6 +1807,6 @@
         set cmap "0.0 0.0 0.0 0.0 1.0 1.0 1.0 1.0"
     }
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 
Index: trunk/gui/scripts/vtkimageviewer.tcl
===================================================================
--- trunk/gui/scripts/vtkimageviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtkimageviewer.tcl	(revision 5184)
@@ -1594,6 +1594,6 @@
         set cmap "0.0 0.0 0.0 0.0 1.0 1.0 1.0 1.0"
     }
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 
Index: trunk/gui/scripts/vtkisosurfaceviewer.tcl
===================================================================
--- trunk/gui/scripts/vtkisosurfaceviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtkisosurfaceviewer.tcl	(revision 5184)
@@ -3088,6 +3088,6 @@
         set cmap "0.0 0.0 0.0 0.0 1.0 1.0 1.0 1.0"
     }
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 
Index: trunk/gui/scripts/vtkstreamlinesviewer.tcl
===================================================================
--- trunk/gui/scripts/vtkstreamlinesviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtkstreamlinesviewer.tcl	(revision 5184)
@@ -1595,6 +1595,6 @@
     set max $_settings(-volumeopacity)
 
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 
Index: trunk/gui/scripts/vtksurfaceviewer.tcl
===================================================================
--- trunk/gui/scripts/vtksurfaceviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtksurfaceviewer.tcl	(revision 5184)
@@ -2283,6 +2283,6 @@
         set cmap "0.0 0.0 0.0 0.0 1.0 1.0 1.0 1.0"
     }
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 
Index: trunk/gui/scripts/vtkviewer.tcl
===================================================================
--- trunk/gui/scripts/vtkviewer.tcl	(revision 5165)
+++ trunk/gui/scripts/vtkviewer.tcl	(revision 5184)
@@ -1878,6 +1878,6 @@
     set max $_settings(polydata-opacity)
 
-    set wmap "0.0 1.0 1.0 1.0"
-    SendCmd "colormap add $name { $cmap } { $wmap }"
+    set amap "0.0 1.0 1.0 1.0"
+    SendCmd "colormap add $name { $cmap } { $amap }"
 }
 