Index: /branches/1.4/gui/scripts/flowvisviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/flowvisviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/flowvisviewer.tcl	(revision 5187)
@@ -717,5 +717,5 @@
 # ----------------------------------------------------------------------
 itcl::body Rappture::FlowvisViewer::scale {args} {
-    array set styles {
+    array set style {
         -color BCGYR
         -levels 6
@@ -732,8 +732,8 @@
             if { ![info exists _volcomponents($cname)] } {
                 lappend _componentsList $cname
-                array set styles [lindex [$dataobj components -style $cname] 0]
-                set cmap [ColorsToColormap $styles(-color)]
+                array set style [lindex [$dataobj components -style $cname] 0]
+                set cmap [ColorsToColormap $style(-color)]
                 set _cname2defaultcolormap($cname) $cmap
-                set _settings($cname-colormap) $styles(-color)
+                set _settings($cname-colormap) $style(-color)
             }
             lappend _volcomponents($cname) $dataobj-$cname
@@ -1255,10 +1255,10 @@
     foreach key [array names _serverObjs *-*] {
         if {[string match $_first-* $key]} {
-            array set styles {
+            array set style {
                 -cutplanes 1
             }
             foreach {dataobj comp} [split $key -] break
-            array set styles [lindex [$dataobj components -style $comp] 0]
-            if {$what != "-cutplanes" || $styles(-cutplanes)} {
+            array set style [lindex [$dataobj components -style $comp] 0]
+            if {$what != "-cutplanes" || $style(-cutplanes)} {
                 lappend rlist $_serverObjs($key)
             }
@@ -1694,11 +1694,11 @@
 #
 itcl::body Rappture::FlowvisViewer::NameTransferFunc { dataobj cname } {
-    array set styles {
+    array set style {
         -color BCGYR
         -levels 6
         -opacity 0.5
     }
-    array set styles [lindex [$dataobj components -style $cname] 0]
-    set _settings($this-opacity) [expr $styles(-opacity) * 100]
+    array set style [lindex [$dataobj components -style $cname] 0]
+    set _settings($this-opacity) [expr $style(-opacity) * 100]
     set _obj2style($dataobj-$cname) $cname
     lappend _style2objs($cname) $dataobj $cname
@@ -1716,5 +1716,5 @@
 #
 itcl::body Rappture::FlowvisViewer::ComputeTransferFunc { tf } {
-    array set styles {
+    array set style {
         -color BCGYR
         -levels 6
@@ -1726,5 +1726,5 @@
         return 0
     }
-    array set styles [lindex [$dataobj components -style $comp] 0]
+    array set style [lindex [$dataobj components -style $comp] 0]
 
     # We have to parse the style attributes for a volume using this
@@ -1743,21 +1743,21 @@
     if { ![info exists _isomarkers($tf)] } {
         # Have to defer creation of isomarkers until we have data limits
-        if { [info exists styles(-markers)] &&
-             [llength $styles(-markers)] > 0  } {
-            ParseMarkersOption $tf $styles(-markers)
+        if { [info exists style(-markers)] &&
+             [llength $style(-markers)] > 0  } {
+            ParseMarkersOption $tf $style(-markers)
         } else {
-            ParseLevelsOption $tf $styles(-levels)
-        }
-    }
-    if { [info exists styles(-nonuniformcolors)] } {
-        foreach { value color } $styles(-nonuniformcolors) {
+            ParseLevelsOption $tf $style(-levels)
+        }
+    }
+    if { [info exists style(-nonuniformcolors)] } {
+        foreach { value color } $style(-nonuniformcolors) {
             append cmap "$value [Color2RGB $color] "
         }
     } else {
-        set cmap [ColorsToColormap $styles(-color)]
+        set cmap [ColorsToColormap $style(-color)]
     }
 
     if { ![info exists _settings($this-opacity)] } {
-        set _settings($this-opacity) [expr $styles(-opacity) * 100]
+        set _settings($this-opacity) [expr $style(-opacity) * 100]
     }
 
Index: /branches/1.4/gui/scripts/nanovisviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/nanovisviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/nanovisviewer.tcl	(revision 5187)
@@ -562,5 +562,5 @@
 # ----------------------------------------------------------------------
 itcl::body Rappture::NanovisViewer::scale {args} {
-    array set styles {
+    array set style {
         -color    BCGYR
         -levels   6
@@ -576,8 +576,8 @@
             if { ![info exists _volcomponents($cname)] } {
                 lappend _componentsList $cname
-                array set styles [lindex [$dataobj components -style $cname] 0]
-                set cmap [ColorsToColormap $styles(-color)]
+                array set style [lindex [$dataobj components -style $cname] 0]
+                set cmap [ColorsToColormap $style(-color)]
                 set _cname2defaultcolormap($cname) $cmap
-                set _settings($cname-colormap) $styles(-color)
+                set _settings($cname-colormap) $style(-color)
             }
             lappend _volcomponents($cname) $dataobj-$cname
@@ -1028,9 +1028,9 @@
         set tag $_first-$cname
         if { [info exists _serverDatasets($tag)] && $_serverDatasets($tag) } {
-            array set styles {
+            array set style {
                 -cutplanes 1
             }
-            array set styles [lindex [$_first components -style $cname] 0]
-            if { $what != "-cutplanes" || $styles(-cutplanes) } {
+            array set style [lindex [$_first components -style $cname] 0]
+            if { $what != "-cutplanes" || $style(-cutplanes) } {
                 lappend rlist $tag
             }
@@ -1388,5 +1388,5 @@
 #
 itcl::body Rappture::NanovisViewer::NameTransferFunction { dataobj cname } {
-    array set styles {
+    array set style {
         -color BCGYR
         -levels 6
@@ -1394,9 +1394,9 @@
     }
     set tag $dataobj-$cname
-    array set styles [lindex [$dataobj components -style $cname] 0]
+    array set style [lindex [$dataobj components -style $cname] 0]
     if { ![info exists _cname2transferFunction($cname)] } {
         # Get the colormap right now, since it doesn't change with marker
         # changes.
-        set cmap [ColorsToColormap $styles(-color)]
+        set cmap [ColorsToColormap $style(-color)]
         set amap [list 0.0 0.0 1.0 1.0]
         set _cname2transferFunction($cname) [list $cmap $amap]
@@ -1434,5 +1434,5 @@
     # reference.
     if { ![info exists _parsedFunction($cname)] } {
-        array set styles {
+        array set style {
             -color BCGYR
             -levels 6
@@ -1442,13 +1442,13 @@
         foreach tag [GetDatasetsWithComponent $cname] {
             foreach {dataobj cname} [split [lindex $tag 0] -] break
-            array set styles [lindex [$dataobj components -style $cname] 0]
+            array set style [lindex [$dataobj components -style $cname] 0]
         }
         eval $_transferFunctionEditors($cname) limits $_limits($cname)
         # Have to defer creation of isomarkers until we have data limits
-        if { [info exists styles(-markers)] &&
-             [llength $styles(-markers)] > 0 } {
-            ParseMarkersOption $cname $styles(-markers)
+        if { [info exists style(-markers)] &&
+             [llength $style(-markers)] > 0 } {
+            ParseMarkersOption $cname $style(-markers)
         } else {
-            ParseLevelsOption $cname $styles(-levels)
+            ParseLevelsOption $cname $style(-levels)
         }
 
@@ -2478,9 +2478,9 @@
 
 itcl::body Rappture::NanovisViewer::SetObjectStyle { dataobj cname } {
-    array set styles {
+    array set style {
         -opacity  0.5
     }
-    array set styles [lindex [$dataobj components -style $cname] 0]
-    set _settings($cname-volumeopacity) $styles(-opacity)
+    array set style [lindex [$dataobj components -style $cname] 0]
+    set _settings($cname-volumeopacity) $style(-opacity)
     set tag $dataobj-$cname
     SendCmd "volume shading opacity $_settings($cname-volumeopacity) $tag"
Index: /branches/1.4/gui/scripts/vtkglyphviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtkglyphviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtkglyphviewer.tcl	(revision 5187)
@@ -129,7 +129,5 @@
     private variable _view         ;    # view params for 3D view
     private variable _settings
-    private variable _style;            # Array of current component styles.
     private variable _changed
-    private variable _initialStyle;     # Array of initial component styles.
     private variable _reset 1;          # Connection to server has been reset.
 
Index: /branches/1.4/gui/scripts/vtkheightmapviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtkheightmapviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtkheightmapviewer.tcl	(revision 5187)
@@ -138,5 +138,4 @@
     private variable _settings
     private variable _changed
-    private variable _initialStyle "";  # First found style in dataobjects.
     private variable _reset 1;          # Connection to server has been reset.
 
Index: /branches/1.4/gui/scripts/vtkimageviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtkimageviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtkimageviewer.tcl	(revision 5187)
@@ -133,5 +133,4 @@
     private variable _settings
     private variable _changed
-    private variable _initialStyle "";  # First found style in dataobjects.
     private variable _reset 1;          # Connection to server has been reset.
 
Index: /branches/1.4/gui/scripts/vtkisosurfaceviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtkisosurfaceviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtkisosurfaceviewer.tcl	(revision 5187)
@@ -146,7 +146,5 @@
     private variable _view         ;    # view params for 3D view
     private variable _settings
-    private variable _style;            # Array of current component styles.
     private variable _changed
-    private variable _initialStyle;     # Array of initial component styles.
     private variable _reset 1;          # Connection to server has been reset.
 
Index: /branches/1.4/gui/scripts/vtkmeshviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtkmeshviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtkmeshviewer.tcl	(revision 5187)
@@ -113,6 +113,4 @@
     private variable _settings
     private variable _widget
-    private variable _style;            # Array of current component styles.
-    private variable _initialStyle;     # Array of initial component styles.
     private variable _reset 1;          # Connection to server has been reset.
 
Index: /branches/1.4/gui/scripts/vtksurfaceviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtksurfaceviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtksurfaceviewer.tcl	(revision 5187)
@@ -129,7 +129,5 @@
     private variable _view         ;    # view params for 3D view
     private variable _settings
-    private variable _style;            # Array of current component styles.
     private variable _changed
-    private variable _initialStyle;     # Array of initial component styles.
     private variable _reset 1;          # Connection to server has been reset.
 
Index: /branches/1.4/gui/scripts/vtkvolumeviewer.tcl
===================================================================
--- /branches/1.4/gui/scripts/vtkvolumeviewer.tcl	(revision 5186)
+++ /branches/1.4/gui/scripts/vtkvolumeviewer.tcl	(revision 5187)
@@ -2128,5 +2128,5 @@
     # Parse style string.
     set tag $dataobj-$cname
-    array set styles {
+    array set style {
         -lighting   1
         -opacity    0.5
@@ -2134,13 +2134,13 @@
         -visible    1
     }
-    array set styles [$dataobj style $cname]
-    set _settings(-volumelighting) $styles(-lighting)
-    set _settings(-volumeopacity) [expr $styles(-opacity) * 100.0]
-    set _settings(-volumeoutline) $styles(-outline)
-    set _settings(-volumevisible) $styles(-visible)
+    array set style [$dataobj style $cname]
+    set _settings(-volumelighting) $style(-lighting)
+    set _settings(-volumeopacity) [expr $style(-opacity) * 100.0]
+    set _settings(-volumeoutline) $style(-outline)
+    set _settings(-volumevisible) $style(-visible)
 
     SendCmd "outline add $tag"
     SendCmd "outline color [Color2RGB $itk_option(-plotforeground)] $tag"
-    SendCmd "outline visible $styles(-outline) $tag"
+    SendCmd "outline visible $style(-outline) $tag"
 
     SendCmd "$_cutplaneCmd add $tag"
@@ -2149,7 +2149,7 @@
 
     SendCmd "volume add $tag"
-    SendCmd "volume lighting $styles(-lighting) $tag"
-    SendCmd "volume opacity $styles(-opacity) $tag"
-    SendCmd "volume visible $styles(-visible) $tag"
+    SendCmd "volume lighting $style(-lighting) $tag"
+    SendCmd "volume opacity $style(-opacity) $tag"
+    SendCmd "volume visible $style(-visible) $tag"
     SetColormap $dataobj $cname
 }