Index: branches/1.4/gui/scripts/nanovisviewer.tcl
===================================================================
--- branches/1.4/gui/scripts/nanovisviewer.tcl	(revision 5286)
+++ branches/1.4/gui/scripts/nanovisviewer.tcl	(revision 5288)
@@ -1644,5 +1644,7 @@
     #set bfg [option get $itk_component(hull) boldFont Font]
 
-    label $inner.shading -text "Shading:" -font $fg
+    label $inner.lighting_l \
+        -text "Lighting / Material Properties" \
+        -font "Arial 9 bold"
 
     checkbutton $inner.light2side -text "Two-sided lighting" -font $fg \
@@ -1657,15 +1659,18 @@
     ::scale $inner.light -from 0 -to 100 -orient horizontal \
         -variable [itcl::scope _settings(-light)] \
-        -width 10 \
-        -showvalue off -command [itcl::code $this AdjustSetting -light]
+        -showvalue off -command [itcl::code $this AdjustSetting -light] \
+        -troughcolor grey92
     label $inner.bright -text "Surface" -font $fg
 
     # Opacity
-    label $inner.fog -text "Clear" -font $fg
-    ::scale $inner.transp -from 0 -to 100 -orient horizontal \
+    label $inner.opacity_l -text "Opacity" -font $fg
+    ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
         -variable [itcl::scope _widget(-volumeopacity)] \
-        -width 10 \
-        -showvalue off -command [itcl::code $this AdjustSetting -volumeopacity]
-    label $inner.plastic -text "Opaque" -font $fg
+        -showvalue off \
+        -command [itcl::code $this AdjustSetting -volumeopacity] \
+        -troughcolor grey92
+
+    label $inner.transferfunction_l \
+        -text "Transfer Function" -font "Arial 9 bold"
 
     # Tooth thickness
@@ -1673,6 +1678,6 @@
     ::scale $inner.thickness -from 0 -to 1000 -orient horizontal \
         -variable [itcl::scope _settings(-thickness)] \
-        -width 10 \
-        -showvalue off -command [itcl::code $this AdjustSetting -thickness]
+        -showvalue off -command [itcl::code $this AdjustSetting -thickness] \
+        -troughcolor grey92
     label $inner.thick -text "Thick" -font $fg
 
@@ -1700,19 +1705,23 @@
         0,0 $inner.volcomponents_l -anchor e -cspan 2 \
         0,2 $inner.volcomponents             -cspan 3 -fill x \
-        1,0 $inner.shading -cspan 4 -anchor w -pady {10 2} \
-        2,0 $inner.light2side -cspan 4 -anchor w -pady 2 \
-        3,0 $inner.visibility -cspan 4 -anchor w -pady 2 \
-        4,0 $inner.dim -anchor e -pady 2 \
-        4,1 $inner.light -cspan 2 -pady 2 -fill x \
-        4,3 $inner.bright -anchor w -pady 2 \
-        5,0 $inner.fog -anchor e -pady 2 \
-        5,1 $inner.transp -cspan 2 -pady 2 -fill x \
-        5,3 $inner.plastic -anchor w -pady 2 \
-        6,0 $inner.thin -anchor e -pady 2 \
-        6,1 $inner.thickness -cspan 2 -pady 2 -fill x\
-        6,3 $inner.thick -anchor w -pady 2
-
-    blt::table configure $inner c0 c1 c3 r* -resize none
-    blt::table configure $inner r7 -resize expand
+        1,1 $inner.lighting_l -anchor w -cspan 4 \
+        2,1 $inner.dim -anchor e \
+        2,2 $inner.light -cspan 2 -fill x \
+        2,4 $inner.bright -anchor w \
+        3,1 $inner.light2side -cspan 3 -anchor w \
+        4,1 $inner.visibility -cspan 3 -anchor w \
+        5,1 $inner.transferfunction_l -cspan 4 -anchor w \
+        6,1 $inner.opacity_l -anchor e -pady 2 \
+        6,2 $inner.opacity -cspan 3 -fill x \
+        7,1 $inner.colormap_l -anchor e \
+        7,2 $inner.colormap -padx 2 -cspan 3 -fill x \
+        8,1 $inner.thin -anchor e \
+        8,2 $inner.thickness -cspan 2 -fill x \
+        8,4 $inner.thick -anchor w
+
+    blt::table configure $inner c* r* -resize none
+    blt::table configure $inner r* -pady { 2 0 }
+    blt::table configure $inner c2 c3 r9 -resize expand
+    blt::table configure $inner c0 -width .1i
 }
 
@@ -2255,4 +2264,7 @@
     }
     array set style [lindex [$dataobj components -style $cname] 0]
+    # Some tools erroneously set -opacity to 1 in style, so
+    # override the requested opacity for now
+    set style(-opacity) 0.5
     set _settings($cname-volumeopacity) $style(-opacity)
     set tag $dataobj-$cname