Index: branches/1.4/gui/scripts/vtkvolumeviewer.tcl
===================================================================
--- branches/1.4/gui/scripts/vtkvolumeviewer.tcl	(revision 5370)
+++ branches/1.4/gui/scripts/vtkvolumeviewer.tcl	(revision 5382)
@@ -118,15 +118,15 @@
 
     private variable _arcball ""
-    private variable _dlist ""     ;    # list of data objects
-    private variable _obj2ovride   ;    # maps dataobj => style override
-    private variable _datasets     ;    # contains all the dataobj-component
-                                   ;    # datasets in the server
-    private variable _colormaps    ;    # contains all the colormaps
-                                   ;    # in the server.
-    private variable _dataset2style    ;# maps dataobj-component to transfunc
-
-    private variable _click        ;    # info used for rotate operations
-    private variable _limits       ;    # autoscale min/max for all axes
-    private variable _view         ;    # view params for 3D view
+    private variable _dlist "";         # list of data objects
+    private variable _obj2ovride;       # maps dataobj => style override
+    private variable _datasets;         # contains all the dataobj-component
+                                        # datasets in the server
+    private variable _colormaps;        # contains all the colormaps
+                                        # in the server.
+    private variable _dataset2style;    # maps dataobj-component to transfunc
+
+    private variable _click;            # info used for rotate operations
+    private variable _limits;           # autoscale min/max for all axes
+    private variable _view;             # view params for 3D view
     private variable _settings
     private variable _style;            # Array of current component styles.
@@ -134,10 +134,8 @@
     private variable _reset 1;          # Connection to server has been reset.
 
-    private variable _first ""     ;    # This is the topmost dataset.
+    private variable _first "";         # This is the topmost dataset.
     private variable _start 0
     private variable _title ""
 
-    private common _downloadPopup;      # download options from popup
-    private common _hardcopy
     private variable _width 0
     private variable _height 0
@@ -152,4 +150,7 @@
     private variable _cutplaneCmd "cutplane"
     private variable _allowMultiComponent 0
+
+    private common _downloadPopup;      # download options from popup
+    private common _hardcopy
 }
 
@@ -1640,5 +1641,4 @@
 itcl::body Rappture::VtkVolumeViewer::BuildViewTab {} {
     set font [option get $itk_component(hull) font Font]
-    #set bfont [option get $itk_component(hull) boldFont Font]
 
     set inner [$itk_component(main) insert end \
@@ -1651,5 +1651,5 @@
         -variable [itcl::scope _settings(-axesvisible)] \
         -command [itcl::code $this AdjustSetting -axesvisible] \
-        -font "Arial 9"
+        -font $font
 
     checkbutton $inner.outline \
@@ -1657,5 +1657,5 @@
         -variable [itcl::scope _settings(-volumeoutline)] \
         -command [itcl::code $this AdjustSetting -volumeoutline] \
-        -font "Arial 9"
+        -font $font
 
     checkbutton $inner.legend \
@@ -1663,5 +1663,5 @@
         -variable [itcl::scope _settings(-legendvisible)] \
         -command [itcl::code $this AdjustSetting -legendvisible] \
-        -font "Arial 9"
+        -font $font
 
     checkbutton $inner.volume \
@@ -1669,14 +1669,14 @@
         -variable [itcl::scope _settings(-volumevisible)] \
         -command [itcl::code $this AdjustSetting -volumevisible] \
-        -font "Arial 9"
-
-    label $inner.background_l -text "Background" -font "Arial 9"
+        -font $font
+
+    label $inner.background_l -text "Background" -font $font
     itk_component add background {
         Rappture::Combobox $inner.background -width 10 -editable no
     }
     $inner.background choices insert end \
-        "black"              "black"            \
-        "white"              "white"            \
-        "grey"               "grey"
+        "black" "black" \
+        "white" "white" \
+        "grey"  "grey"
 
     $itk_component(background) value $_settings(-background)
@@ -1685,10 +1685,10 @@
 
     blt::table $inner \
-        0,0 $inner.axes  -cspan 2 -anchor w \
-        1,0 $inner.outline  -cspan 2 -anchor w \
-        2,0 $inner.volume  -cspan 2 -anchor w \
-        3,0 $inner.legend  -cspan 2 -anchor w \
-        4,0 $inner.background_l       -anchor e -pady 2 \
-        4,1 $inner.background                   -fill x \
+        0,0 $inner.axes -cspan 2 -anchor w \
+        1,0 $inner.outline -cspan 2 -anchor w \
+        2,0 $inner.volume -cspan 2 -anchor w \
+        3,0 $inner.legend -cspan 2 -anchor w \
+        4,0 $inner.background_l -anchor e -pady 2 \
+        4,1 $inner.background -fill x \
 
     blt::table configure $inner r* -resize none
@@ -1699,4 +1699,5 @@
     set font [option get $itk_component(hull) font Font]
     #set bfont [option get $itk_component(hull) boldFont Font]
+    set bfont "Arial 9 bold"
 
     set inner [$itk_component(main) insert end \
@@ -1753,17 +1754,17 @@
 
     blt::table $inner \
-        0,0 $inner.field_l   -anchor w -pady 2 \
-        0,1 $inner.field     -fill x   -pady 2 -cspan 3 \
+        0,0 $inner.field_l -anchor w -pady 2 \
+        0,1 $inner.field -fill x -pady 2 -cspan 3 \
         1,0 $inner.visibility -anchor w -pady 2 -cspan 4 \
-        2,0 $inner.lighting  -anchor w -pady 2 -cspan 4 \
-        3,0 $inner.dim_l     -anchor e -pady 2 \
-        3,1 $inner.material  -fill x   -pady 2 -cspan 2 \
-        3,3 $inner.bright_l  -anchor w -pady 2 \
+        2,0 $inner.lighting -anchor w -pady 2 -cspan 4 \
+        3,0 $inner.dim_l -anchor e -pady 2 \
+        3,1 $inner.material -fill x -pady 2 -cspan 2 \
+        3,3 $inner.bright_l -anchor w -pady 2 \
         4,0 $inner.opacity_l -anchor w -pady 2 -cspan 4 \
-        5,0 $inner.opacity   -fill x   -pady 2 -cspan 4 \
+        5,0 $inner.opacity -fill x -pady 2 -cspan 4 \
         6,0 $inner.quality_l -anchor w -pady 2 -cspan 4 \
-        7,0 $inner.quality   -fill x   -pady 2 -cspan 4 \
+        7,0 $inner.quality -fill x -pady 2 -cspan 4 \
         8,0 $inner.colormap_l -anchor w -pady 2 \
-        8,1 $inner.colormap   -fill x   -pady 2 -cspan 3
+        8,1 $inner.colormap -fill x -pady 2 -cspan 3
 
     blt::table configure $inner r* c0 c1 c3 -resize none
@@ -1772,6 +1773,5 @@
 
 itcl::body Rappture::VtkVolumeViewer::BuildAxisTab {} {
-    set fg [option get $itk_component(hull) font Font]
-    #set bfg [option get $itk_component(hull) boldFont Font]
+    set font [option get $itk_component(hull) font Font]
 
     set inner [$itk_component(main) insert end \
@@ -1784,5 +1784,5 @@
         -variable [itcl::scope _settings(-axesvisible)] \
         -command [itcl::code $this AdjustSetting -axesvisible] \
-        -font "Arial 9"
+        -font $font
 
     checkbutton $inner.labels \
@@ -1790,28 +1790,28 @@
         -variable [itcl::scope _settings(-axislabels)] \
         -command [itcl::code $this AdjustSetting -axislabels] \
-        -font "Arial 9"
-    label $inner.grid_l -text "Grid" -font "Arial 9"
+        -font $font
+    label $inner.grid_l -text "Grid" -font $font
     checkbutton $inner.xgrid \
         -text "X" \
         -variable [itcl::scope _settings(-xgrid)] \
         -command [itcl::code $this AdjustSetting -xgrid] \
-        -font "Arial 9"
+        -font $font
     checkbutton $inner.ygrid \
         -text "Y" \
         -variable [itcl::scope _settings(-ygrid)] \
         -command [itcl::code $this AdjustSetting -ygrid] \
-        -font "Arial 9"
+        -font $font
     checkbutton $inner.zgrid \
         -text "Z" \
         -variable [itcl::scope _settings(-zgrid)] \
         -command [itcl::code $this AdjustSetting -zgrid] \
-        -font "Arial 9"
+        -font $font
     checkbutton $inner.minorticks \
         -text "Minor Ticks" \
         -variable [itcl::scope _settings(-axisminorticks)] \
         -command [itcl::code $this AdjustSetting -axisminorticks] \
-        -font "Arial 9"
-
-    label $inner.mode_l -text "Mode" -font "Arial 9"
+        -font $font
+
+    label $inner.mode_l -text "Mode" -font $font
 
     itk_component add axismode {
@@ -1828,12 +1828,12 @@
     blt::table $inner \
         0,0 $inner.visible -anchor w -cspan 4 \
-        1,0 $inner.labels  -anchor w -cspan 4 \
-        2,0 $inner.minorticks  -anchor w -cspan 4 \
-        4,0 $inner.grid_l  -anchor w \
-        4,1 $inner.xgrid   -anchor w \
-        4,2 $inner.ygrid   -anchor w \
-        4,3 $inner.zgrid   -anchor w \
-        5,0 $inner.mode_l  -anchor w -padx { 2 0 } \
-        5,1 $inner.mode    -fill x   -cspan 3
+        1,0 $inner.labels -anchor w -cspan 4 \
+        2,0 $inner.minorticks -anchor w -cspan 4 \
+        4,0 $inner.grid_l -anchor w \
+        4,1 $inner.xgrid -anchor w \
+        4,2 $inner.ygrid -anchor w \
+        4,3 $inner.zgrid -anchor w \
+        5,0 $inner.mode_l -anchor w -padx { 2 0 } \
+        5,1 $inner.mode -fill x -cspan 3
 
     blt::table configure $inner r* c* -resize none
@@ -1843,4 +1843,5 @@
 
 itcl::body Rappture::VtkVolumeViewer::BuildCameraTab {} {
+    set font [option get $itk_component(hull) font Font]
     set inner [$itk_component(main) insert end \
         -title "Camera Settings" \
@@ -1848,5 +1849,5 @@
     $inner configure -borderwidth 4
 
-    label $inner.view_l -text "view" -font "Arial 9"
+    label $inner.view_l -text "view" -font $font
     set f [frame $inner.view]
     foreach side { front back left right top bottom } {
@@ -1864,6 +1865,6 @@
     set labels { qx qy qz qw xpan ypan zoom }
     foreach tag $labels {
-        label $inner.${tag}label -text $tag -font "Arial 9"
-        entry $inner.${tag} -font "Arial 9"  -bg white \
+        label $inner.${tag}label -text $tag -font $font
+        entry $inner.${tag} -font $font  -bg white \
             -textvariable [itcl::scope _view(-$tag)]
         bind $inner.${tag} <Return> \
@@ -1881,5 +1882,5 @@
         -variable [itcl::scope _view(-ortho)] \
         -command [itcl::code $this camera set -ortho] \
-        -font "Arial 9"
+        -font $font
     blt::table $inner \
             $row,0 $inner.ortho -cspan 2 -anchor w -pady 2
@@ -1905,5 +1906,5 @@
         -variable [itcl::scope _settings(-cutplanesvisible)] \
         -command [itcl::code $this AdjustSetting -cutplanesvisible] \
-        -font "Arial 9"
+        -font $font
 
     checkbutton $inner.lighting \
@@ -1911,7 +1912,7 @@
         -variable [itcl::scope _settings(-cutplanelighting)] \
         -command [itcl::code $this AdjustSetting -cutplanelighting] \
-        -font "Arial 9"
-
-    label $inner.opacity_l -text "Opacity" -font "Arial 9"
+        -font $font
+
+    label $inner.opacity_l -text "Opacity" -font $font
     ::scale $inner.opacity -from 0 -to 100 -orient horizontal \
         -variable [itcl::scope _settings(-cutplaneopacity)] \