Index: branches/1.4/examples/zoo/field/field.py
===================================================================
--- branches/1.4/examples/zoo/field/field.py	(revision 5688)
+++ branches/1.4/examples/zoo/field/field.py	(revision 5694)
@@ -141,35 +141,3 @@
     """
 
-if vizmethod == "dx":
-    #
-    # Generate a uniform 3D mesh in OpenDX format...
-    #
-    f3d = rx['output.field(f3d)']
-    f3d['about.label'] = "3D Field"
-    f3d['component.style'] = "-color blue:yellow:red -levels 6"
-
-    dx = """object 1 class gridpositions counts 5 5 2
-        origin 0 0 0
-        delta 1 0 0
-        delta 0 1 0
-        delta 0 0 1
-        object 2 class gridconnections counts 5 5 2
-        object 3 class array type double rank 0 items 50 data follows
-    """
-
-    xx, yy, zz = np.mgrid[xmin:xmax:5j, ymin:ymax:5j, 0:1:2j]
-    pts = formula(xx, yy, zz)
-    # Axis ordering for OpenDX is reversed (z fastest)
-    dx += '\n'.join(map(str, (pts.ravel())))
-
-    dx += """attribute "dep" string "positions"
-    object "regular positions regular connections" class field
-    component "positions" value 1
-    component "connections" value 2
-    component "data" value 3"""
-
-    data = Rappture.encoding.encode(dx, Rappture.RPENC_ZB64)
-    f3d['component.dx'] = data
-
-
 rx.close()
Index: branches/1.4/examples/zoo/field/field.tcl
===================================================================
--- branches/1.4/examples/zoo/field/field.tcl	(revision 5688)
+++ branches/1.4/examples/zoo/field/field.tcl	(revision 5694)
@@ -115,38 +115,4 @@
 }
 
-if {$vizmethod == "dx"} {
-    #
-    # Generate a uniform 3D mesh in OpenDX format...
-    #
-    $driver put output.field(f3d).about.label "3D Field"
-    $driver put output.field(f3d).component.style "-color blue:yellow:red -levels 6"
-
-    set dx "object 1 class gridpositions counts 5 5 2
-origin 0 0 0
-delta 1 0 0
-delta 0 1 0
-delta 0 0 1
-object 2 class gridconnections counts 5 5 2
-object 3 class array type double rank 0 items 50 data follows
-"
-    # Axis ordering for OpenDX is reversed (z fastest)
-    for {set x 0} {$x < 5} {incr x} {
-        for {set y 0} {$y < 5} {incr y} {
-            for {set z 0} {$z < 2} {incr z} {
-                set fval [expr $formula]
-                append dx "$fval\n"
-            }
-        }
-    }
-    append dx {attribute "dep" string "positions"
-    object "regular positions regular connections" class field
-    component "positions" value 1
-    component "connections" value 2
-    component "data" value 3}
-
-    set data [Rappture::encoding::encode -as zb64 $dx]
-    $driver put output.field(f3d).component.dx $data
-}
-
 #
 # Save the updated XML describing the run...
Index: branches/1.4/examples/zoo/field/tool.xml
===================================================================
--- branches/1.4/examples/zoo/field/tool.xml	(revision 5688)
+++ branches/1.4/examples/zoo/field/tool.xml	(revision 5694)
@@ -46,11 +46,4 @@
       <value>unstructured</value>
     </option>
-    <option>
-      <about>
-        <label>Volume (OpenDX)</label>
-        <description>Renders a 3D volume using the deprecated OpenDX mesh/field format.</description>
-      </about>
-      <value>dx</value>
-    </option>
     <default>grid</default>
   </choice>
Index: branches/1.4/examples/zoo/mesh/mesh.m
===================================================================
--- branches/1.4/examples/zoo/mesh/mesh.m	(revision 5688)
+++ branches/1.4/examples/zoo/mesh/mesh.m	(revision 5694)
@@ -93,18 +93,4 @@
 		 0, 0);
 
-  case 'generic'
-    mesh = 'output.mesh';
-    rpLibPutString(lib, 'output.mesh.about.label', \
-		   'nodes and elements mesh', 0);
-    rpLibPutString(lib, 'output.mesh.dim', '2', 0);
-    rpLibPutString(lib, 'output.mesh.units', 'm', 0);
-    rpLibPutString(lib, 'output.mesh.hide', 'yes', 0);
-
-    f = fopen('triangles.txt');
-    triangles = fscanf(f, '%d');
-    fclose(f);
-
-    % TO BE COMPLETED
-
   case 'unstructured' 
     mesh = 'output.mesh';
Index: branches/1.4/examples/zoo/mesh/mesh.py
===================================================================
--- branches/1.4/examples/zoo/mesh/mesh.py	(revision 5688)
+++ branches/1.4/examples/zoo/mesh/mesh.py	(revision 5694)
@@ -84,21 +84,4 @@
     mesh.put('unstructured.triangles', 'triangles.txt', type='file')
 
-if meshtype == 'generic':
-    mesh['about.label'] = "nodes and elements mesh"
-    with open('points.txt') as f:
-        data = f.read()
-    for i, line in enumerate(data.split('\n')):
-        if line == '':
-            break
-        x, y = line.split()
-        mesh['node(%s)' % i] = "%s %s" % (x, y)
-    with open('triangles.txt') as f:
-        data = f.read()
-    for i, line in enumerate(data.split('\n')):
-        if line == '':
-            break
-        x, y, z = line.split()
-        mesh['element(%s).nodes' % i] = "%s %s %s" % (x, y, z)
-
 if meshtype == 'unstructured':
     mesh['about.label'] = "Unstructured Grid"
Index: branches/1.4/examples/zoo/mesh/mesh.tcl
===================================================================
--- branches/1.4/examples/zoo/mesh/mesh.tcl	(revision 5688)
+++ branches/1.4/examples/zoo/mesh/mesh.tcl	(revision 5694)
@@ -117,30 +117,4 @@
             triangles.txt
     }
-    "generic" {
-        set mesh output.mesh
-
-        $driver put $mesh.about.label "Mesh"
-        $driver put $mesh.about.description "nodes and elements mesh"
-        $driver put $mesh.dim  2
-        $driver put $mesh.units "m"
-        $driver put $mesh.hide $hide
-
-        set count 0
-        set f [open "points.txt" "r"]
-        set points [read $f]
-        close $f
-        foreach { x y } $points {
-            $driver put $mesh.node($count) "$x $y"
-            incr count
-        }
-        set count 0
-        set f [open "triangles.txt" "r"]
-        set triangles [read $f]
-        close $f
-        foreach { a b c } $triangles {
-            $driver put $mesh.element($count).nodes "$a $b $c"
-            incr count
-        }
-    }
     "unstructured" {
         set mesh output.mesh
Index: branches/1.4/examples/zoo/mesh/tool.xml
===================================================================
--- branches/1.4/examples/zoo/mesh/tool.xml	(revision 5688)
+++ branches/1.4/examples/zoo/mesh/tool.xml	(revision 5694)
@@ -65,11 +65,4 @@
     <option>
      <about>
-      <label>general nodes and elements description</label>
-      <description>Unstructured 2 dimensional grid of cells using nodes and elements.</description>
-     </about>
-     <value>generic</value>
-    </option>
-    <option>
-     <about>
       <label>VTK mesh</label>
       <description>Partial VTK file representing the mesh.</description>
Index: branches/1.4/examples/zoo/mesh/tool_octave.xml
===================================================================
--- branches/1.4/examples/zoo/mesh/tool_octave.xml	(revision 5688)
+++ branches/1.4/examples/zoo/mesh/tool_octave.xml	(revision 5694)
@@ -58,11 +58,4 @@
     <option>
      <about>
-      <label>general nodes and elements description</label>
-      <description>Unstructured 2 dimensional grid of cells using nodes and elements.</description>
-     </about>
-     <value>generic</value>
-    </option>
-    <option>
-     <about>
       <label>VTK mesh</label>
       <description>Partial VTK file representing the mesh.</description>